[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.MouseUp

Handles mouse up events for the tool button.

## Declaration

Source position: comctrls.pp line 2161

`protected procedure TToolButton.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the event.
`Shift` |  | Shift, Ctrl, or Alt modifier for the message.
`X` |  | Horizontal coordinate for the mouse message.
`Y` |  | Vertical coordinate for the mouse message.

## Description

MouseUp is an overridden method in TToolButton used to handle mouse up message events.

## See also

TControl.MouseUp |  | Signals the OnMouseUp handler.